Skip to main content
GET
/
v2
/
messaging
/
conversations
List Conversations
curl --request GET \
  --url https://api.voxo.co/v2/messaging/conversations/ \
  --header 'Authorization: Bearer <token>'
{
  "records": [
    {
      "id": 123,
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "sourceDID": "<string>",
      "participants": "<string>",
      "tenantId": 123,
      "hidden": 123,
      "name": "<string>",
      "conversationName": "<string>",
      "unreadCount": 123,
      "lastMessageId": 123,
      "lastMessage": "<string>",
      "lastMedia": "<unknown>"
    }
  ],
  "page": 123,
  "totalRecords": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

Paginated conversations

records
object[]
required

Conversation records

page
number
required

Current page

totalRecords
number
required

Total number of records